org.keycloak.models.jpa.entities

## Class UserEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.UserEntity

-     @Entity
      public class UserEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Collection<UserAttributeEntity>` | `attributes`
    `protected Collection<CredentialEntity>` | `credentials`
    `protected String` | `email`
    `protected String` | `emailConstraint`
    `protected boolean` | `emailVerified`
    `protected boolean` | `enabled`
    `protected String` | `federationLink`
    `protected String` | `firstName`
    `protected String` | `id`
    `protected String` | `lastName`
    `protected String` | `realmId`
    `protected Collection<UserRequiredActionEntity>` | `requiredActions`
    `protected boolean` | `totp`
    `protected String` | `username`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<UserAttributeEntity>` | `getAttributes()`
    `Collection<CredentialEntity>` | `getCredentials()`
    `String` | `getEmail()`
    `String` | `getEmailConstraint()`
    `String` | `getFederationLink()`
    `String` | `getFirstName()`
    `String` | `getId()`
    `String` | `getLastName()`
    `String` | `getRealmId()`
    `Collection<UserRequiredActionEntity>` | `getRequiredActions()`
    `String` | `getUsername()`
    `boolean` | `isEmailVerified()`
    `boolean` | `isEnabled()`
    `boolean` | `isTotp()`
    `void` | `setAttributes(Collection<UserAttributeEntity> attributes)`
    `void` | `setCredentials(Collection<CredentialEntity> credentials)`
    `void` | `setEmail(String email)`
    `void` | `setEmailConstraint(String emailConstraint)`
    `void` | `setEmailVerified(boolean emailVerified)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setFederationLink(String federationLink)`
    `void` | `setFirstName(String firstName)`
    `void` | `setId(String id)`
    `void` | `setLastName(String lastName)`
    `void` | `setRealmId(String realmId)`
    `void` | `setRequiredActions(Collection<UserRequiredActionEntity> requiredActions)`
    `void` | `setTotp(boolean totp)`
    `void` | `setUsername(String username)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### username

          protected String username

    - #### firstName

          protected String firstName

    - #### lastName

          protected String lastName

    - #### email

          protected String email

    - #### enabled

          protected boolean enabled

    - #### totp

          protected boolean totp

    - #### emailVerified

          protected boolean emailVerified

    - #### emailConstraint

          protected String emailConstraint

    - #### realmId

          protected String realmId

    - #### attributes

          protected Collection<UserAttributeEntity> attributes

    - #### requiredActions

          protected Collection<UserRequiredActionEntity> requiredActions

    - #### credentials

          protected Collection<CredentialEntity> credentials

    - #### federationLink

          protected String federationLink

  - ### Constructor Detail

    - #### UserEntity

          public UserEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public void setUsername(String username)

    - #### getFirstName

          public String getFirstName()

    - #### setFirstName

          public void setFirstName(String firstName)

    - #### getLastName

          public String getLastName()

    - #### setLastName

          public void setLastName(String lastName)

    - #### getEmail

          public String getEmail()

    - #### setEmail

          public void setEmail(String email)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### getEmailConstraint

          public String getEmailConstraint()

    - #### setEmailConstraint

          public void setEmailConstraint(String emailConstraint)

    - #### isTotp

          public boolean isTotp()

    - #### setTotp

          public void setTotp(boolean totp)

    - #### isEmailVerified

          public boolean isEmailVerified()

    - #### setEmailVerified

          public void setEmailVerified(boolean emailVerified)

    - #### getAttributes

          public Collection<UserAttributeEntity> getAttributes()

    - #### setAttributes

          public void setAttributes(Collection<UserAttributeEntity> attributes)

    - #### getRequiredActions

          public Collection<UserRequiredActionEntity> getRequiredActions()

    - #### setRequiredActions

          public void setRequiredActions(Collection<UserRequiredActionEntity> requiredActions)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getCredentials

          public Collection<CredentialEntity> getCredentials()

    - #### setCredentials

          public void setCredentials(Collection<CredentialEntity> credentials)

    - #### getFederationLink

          public String getFederationLink()

    - #### setFederationLink

          public void setFederationLink(String federationLink)

Copyright © 2014. All Rights Reserved.